import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增字典类型
    adddicttype(data) {
        return request({
            url: '/system/dict/type',
            method: 'post',
            data
        })
    },
    //删除字典类型
    deldicttype(data) {
        return request({
            url: '/system/dict/type/delete/' + data,
            method: 'post',
        })
    },
    //修改字典类型
    editdicttype(data) {
        return request({
            url: '/system/dict/type/edit',
            method: 'post',
            data
        })
    },
    //获取字典类型列表
    obtaindicttype(data) {
        return request({
            url: `/system/dict/type/list`,
            method: 'get',
            params: data
        })
    },
    //获取字典选择框列表
    obtaindictdatatypes(data) {
        return request({
            url: `/system/dict/type/optionselect`,
            method: 'get',
            params: data
        })
    },
    //查询字典类型详细
    getdicttype(data) {
        return request({
            url: '/system/dict/type/' + data,
            method: 'get',
        })
    },
}